<?php
/**
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * $Revision: 1.4 $
 * $Author: tora60 $
 * $Date: 2009/11/20 22:30:26 $
 */

/* diese Zeile nicht aendern!! */
defined('mxMainFileLoaded') or die('access denied');

/**
 * der Titel
 * Um einen Teil des Titel hervorzuheben, diesen Teil in <span></span> einfassen
 */
$themesetting['title'] = 'Your <span>website</span> title...';

/**
 * verfuegbare Farbdesigns, moegliche Werte 1 bis 8
 *
 * Das zuerst angegebene Design ist das Standarddesign.
 *
 * Wenn mehr als 1 Design angegeben wird, dann wird automatisch der
 * Styleswitcher angezeigt und das Theme wird nicht mehr gecached.
 */
$themesetting['designs'] = array(1, 2, 3, 4, 5, 6, 7, 8);

/* folgendes nur, wenn Module geladen */
if (defined('MX_MODULE')) {
    /**
     * Farb-Designs fuer bestimmte Seiten, anstatt Styleswitch
     */
    /*
    $themesetting['pagedesign'][3] = array(
        MX_MODULE == 'Search', // Suchmodul
        MX_MODULE == 'Downloads' && $_REQUEST['cid'] == 61, // Downloads, Kategorie 61
        $_REQUEST['name'] == 'Content' && $_REQUEST['pid'] == 28, // Contentmodul Id 28
        );
    $themesetting['pagedesign'][5] = array(
        MX_MODULE == 'Forum',
        MX_MODULE == 'eboard',
        );
    $themesetting['pagedesign'][6] = array(
        MX_MODULE == 'Stories_Archive',
        MX_MODULE == 'News',
        MX_MODULE == 'Submit_News',
        MX_MODULE == 'Topics',
        );
*/
    /* ------ ENDE Farb-Designs fuer bestimmte Seiten ------- */

    /**
     * die Navigationsbuttons im header, wird in der
     * Funktion theme_define_placeholders() ausgewertet
     */

    $themesetting['headnav'][_HOME] = array(/* Startseite */
        'link' => './',
        'case' => array(
            defined('MX_HOME_FILE'),
            ));

    $themesetting['headnav'][_NEWSSHORT] = array(/* Newsmodul */
        'link' => 'modules.php?name=Stories_Archive',
        'case' => array(
            MX_MODULE == 'Stories_Archive',
            MX_MODULE == 'News',
            MX_MODULE == 'Submit_News',
            MX_MODULE == 'Topics',
            ));

    $themesetting['headnav'][_BBFORUM] = array(/* Forum */
        'link' => 'modules.php?name=Forum',
        'case' => array(
            MX_MODULE == 'Forum',
            MX_MODULE == 'Forums',
            MX_MODULE == 'eboard',
            ));

    $themesetting['headnav'][_GALLERY] = array(/* Bildergalerie */
        'link' => 'modules.php?name=Gallery',
        'case' => array(
            MX_MODULE == 'Gallery',
            MX_MODULE == 'coppermine',
            ));

    $themesetting['headnav'][_SEARCH] = array(/* Suche */
        'link' => 'modules.php?name=Search',
        'case' => array(
            MX_MODULE == 'Search',
            ));

    /* ------ ENDE Navigationsbuttons ------- */

    /**
     * Seiten, bei denen, die linken Bloecke nicht gezeigt werden sollen
     */
    $themesetting['hide-left'] = array(/* Seiten/Module */
        MX_MODULE === 'Gallery',
        MX_MODULE == 'coppermine',
        MX_MODULE == 'Forum',
        MX_MODULE == 'eboard',
        MX_MODULE == 'News',
        // MX_MODULE == 'Downloads' && $_REQUEST['cid'] == 61, // Downloads, Kategorie 61
        // $_REQUEST['name'] == 'Content' && $_REQUEST['pid'] == 28, // Contentmodul Id 28
        );

    /**
     * Seiten, bei denen, keine Bloecke gezeigt werden sollen
     */
    $themesetting['hide-both'] = array(/* Seiten/Module */
        MX_MODULE == 'admin',
        MX_MODULE == 'Downloads',
        // MX_MODULE == 'Downloads' && $_REQUEST['cid'] == 61, // Downloads, Kategorie 61
        // $_REQUEST['name'] == 'Content' && $_REQUEST['pid'] == 28, // Contentmodul Id 28
        );

    /**
     * den Perex verwenden?
     * Der einzelne graue Block ber dem Inhalt, wird aus den Daten des ersten
     * unteren Centerblocks erstellt.
     * true = an, false = aus
     */
    $themesetting['perex'] = true;

    /**
     * Design fr rechte Blcke
     * Die rechten Blcke knnen (einzeln) in einem alternativen Farbdesign
     * dargestellt werden.
     * Das Array mit den gewnschten Block-ID's fllen (Feld 'bid' in der Tabelle)
     */
    $themesetting['block_right_alternate'] = array(5, 82, 12);
}
/* Ende nur Module */

/**
 * Standardfarben die im System und den Modulen verwendet werden
 * ACHTUNG!! Diese Farben werden durch die colors.php, des jeweiligen Designs ueberschrieben
 */
global $bgcolor1;
$bgcolor1 = "#E0E0E0";
global $bgcolor2;
$bgcolor2 = "#F0F0F0";
global $bgcolor3;
$bgcolor3 = "#ECECEC";
global $bgcolor4;
$bgcolor4 = "#FCFCFC";
global $textcolor1;
$textcolor1 = "#000000";
global $textcolor2;
$textcolor2 = "#666666";

/**
 * folgende Einstellungen sollten nicht veraendert werden
 */

/* Modul-Bloecke im passenden Design anzeigen */
$themesetting['blocknav']['style'] = 'nav';
$themesetting['blocknav']['current'] = 'nav-active';

/* definieren ob die Templates des Themes gecached werden koennen */
/* wenn der Styleswitcher aktiviert ist > nein, ansonsten > ja */
define('MX_THEME_CACHABLE', (count($themesetting['designs']) === 1));

/* Dateiname des templates */
define('MX_THIS_THEMEFILE', 'index.html');

?>